$(function()
{
    $("#facultySelect [value='0']").attr('selected', 'selected');
    $("#gradeSelect [value='0']").attr('selected', 'selected');
    $("#studyGroupSelect [value='0']").attr('selected', 'selected');
    
    $('#gradeSelect').attr('disabled', 'disabled');
    $('#studyGroupSelect').attr('disabled', 'disabled');
    
    // Выбор факультета
    $('#facultySelect').change(function(){
        if (($('#facultySelect option:selected').val()!= '0')) {

                $("#search_results").html('');
                $('#gradeSelect').removeAttr('disabled');
                $('#studyGroupSelect').attr('disabled', 'disabled');
                $("#studyGroupSelect").html('<option value="0">--- Учебная группа ---</option>');
                
                $.post('/~dev_rating/handler/admStudents/getStudentsByFaculty', 
                {
                    'facultyID': $('#facultySelect option:selected').val()
                }, 
                function(data){
                    $("#search_results").html(data);
                });
        }
        else
        {
                $('#gradeSelect').attr('disabled', 'disabled');
        }
    });

    // Выбор кафедры
    $('#gradeSelect').change(function(){
        $("#search_results").html('');
        if (($('#gradeSelect option:selected').val()!= '0')) {
            
            $.post('/~dev_rating/handler/admStudents/getStudyGroups', 
            {
                'facultyID': $('#facultySelect option:selected').val(),
                'gradeNum': $('#gradeSelect option:selected').val()
            }, 
            function(data){
               $.each(data, function(i){
                    $("#studyGroupSelect").append('<option value="'+data[i].ID+'">'+data[i].Name+'</option>');
                });
                $("#studyGroupSelect").removeAttr("disabled");
            }, "json");
                
        }
    });
    
    // Выбор группы
    $('#studyGroupSelect').change(function(){
        $("#search_results").html('');
        if (($('#studyGroupSelect option:selected').val()!= '0')) {
                $.post('/~dev_rating/handler/admStudents/getStudentsByStudyGroup', 
                {
                    'studyGroupID': $('#studyGroupSelect option:selected').val()
                }, 
                function(data){
                    $("#search_results").html(data);
                });
        }
    });    
});