$(function()
{
    $("#facultySelect [value='0']").attr('selected', 'selected');
    $('#departmentSelect').attr('disabled', 'disabled');
    $("#departmentSelect [value='0']").attr('selected', 'selected');
    $("#jobPositionSelect [value='0']").attr('selected', 'selected');
    // Выбор факультета
    $('#facultySelect').change(function(){
        if (($('#facultySelect option:selected').val()!= '0')) {
                $("#departmentSelect").html('<option value="0">--- Кафедра ---</option>');
                $('#departmentSelect').attr('disabled', 'disabled');
                $.post('/~dev_rating/handler/admTeachers/getDepartmentsList', {'facultyID': $('#facultySelect option:selected').val()}, function(data){
                    $.each(data, function(i){
                        $("#departmentSelect").append('<option value="'+data[i].ID+'">'+data[i].Name+'</option>');
                    });
                    $("#departmentSelect").removeAttr("disabled");
                }, "json");
        }
        else
        {
                $('#departmentSelect').attr('disabled', 'disabled');
        }
    });
    
    $('#inputGroupSubmit').click(function(){
        $('#inputGroupSubmit').attr('disabled', 'disabled');
        $.post('/~dev_rating/handler/admTeachers/createTeacher', 
        {
            'firstName': $('#firstName').val(),
            'secondName': $('#secondName').val(),
            'lastName': $('#lastName').val(),
            'jobPositionID': $('#jobPositionSelect option:selected').val(),
            'departmentID': $('#departmentSelect option:selected').val(),
        }, 
        function(data){
            $('.inputGroupMessages').html('<ul>');
            $.each(data.messages, function(i){
                $('.inputGroupMessages').append('<li>' + data.messages[i]);
            });
            $('.inputGroupMessages').append('</ul>');
            $('#inputGroupSubmit').removeAttr('disabled');
        }, "json");
    });
});